Add non-generic lonpole and latpole handling to GWcs

12/03/2021 08:02 PM - Knödlseder Jürgen

Status: Closed Start date: 12/03/2021

Priority: Immediate Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

So far the GWcs class only supports the internal computation of the m_lonpole and m_latpole members, yet there may be data, such

as the COMPASS COMPTEL DRI data, that have non-standard lonpole and latpole definitions.

Methods should be added to GWcs to set and get the m_lonpole and m_latpole members, and if present, the m_lonpole and

m_latpole members should be set when reading the FITS file. Specifically the latter may create side effects that need to be carefully

watched.

History

#1 - 12/04/2021 08:01 AM - Knödlseder Jürgen

- Status changed from New to Feedback

- % Done changed from 0 to 90

It turned out that this led to inconsistent coordinate transformations, I hence refrained from doing this change.

Instead I found a way to correctly interpret the COMPASS DRI data by adjusting the CRVAL2 and CRPIX2 keywords, enforcing CRVAL2=2. I made

this change in the kludge used for existing COMPASS data.

#2 - 03/14/2022 02:03 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
